PHP Manual
Prev |  | Next

# ftp_get

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_get -- Downloads a file from the FTP server

## Description

bool ftp_get ( resource ftp_stream, string local_file, string remote_file, int mode [, int resumepos] )

ftp_get() retrieves a remote file from the FTP server, and saves it into a local file.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

local_file

  The local file path (will be overwritten if the file already exists).

remote_file

  The remote file path.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

resumepos

  The position in the remote file to start downloading from.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. ftp_get() example

`<?php
// define some variables
$local_file = 'local.zip';
$server_file = 'server.zip';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to download $server_file and save to $local_file
if (ftp_get($conn_id, $local_file, $server_file, FTP_BINARY)) {
echo "Successfully written to $local_file\n";
} else {
echo "There was a problem\n";
}
// close the connection
ftp_close($conn_id);
?>`

## ChangeLog

Version | Description
--- | ---
4.3.0 | resumepos was added.

## See Also

ftp_pasv()
ftp_fget()
ftp_nb_get()
ftp_nb_fget()

Prev | Home | Next
ftp_get_option | Up | ftp_login